{
  "name": "memorychatretriever",
  "display_name": "Chat Messages Retriever",
  "description": "Retrieve chat messages from memory and use them in the workflow",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [],
  "properties": [
    {
      "name": "deprecatedNotice",
      "display_name": "This node is deprecated. Use ",
      "kind": "notice",
      "required": false,
      "default": ""
    },
    {
      "name": "simplifyOutput",
      "display_name": "Simplify Output",
      "kind": "boolean",
      "required": false,
      "description": "Whether to simplify the output to only include the sender and the text"
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/@n8n/nodes-langchain/nodes/memory/MemoryChatRetriever/MemoryChatRetriever.node.ts"
}